search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``igraph`.`drawing`.`matplotlib`.`palette`.`MatplotlibPaletteDrawer``

class documentation

`class MatplotlibPaletteDrawer(AbstractDrawer): (source)`

Constructor: `MatplotlibPaletteDrawer(ax)`

View In Hierarchy

Matplotlib drawer object for matrices.

Method | `__init__` | Constructs the drawer and associates it to the given Axes.
Method | `draw` | Draws the given Matrix in a matplotlib Axes.
Instance Variable | `context` | Undocumented

def __init__(self, ax): (source)

Constructs the drawer and associates it to the given Axes.

Parameters
ax | the Axes on which we will draw

def draw(self, matrix, **kwds): (source)
overrides `igraph.drawing.baseclasses.AbstractDrawer.draw`

Draws the given Matrix in a matplotlib Axes.

Parameters
matrix | the igraph.Histogram to plot.
**kwds | Undocumented

context = (source)

Undocumented